<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('diamond_payout_history', function (Blueprint $table) {
            $table->id();
               $table->string('income_type', 30)->default('ROI');

            $table->string('type', 50);

            $table->dateTime('from_date');

            $table->dateTime('to_date');

            $table->dateTime('entry_date');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('diamond_payout_history');
    }
};
